%define aurox_ver 9.4
%define rel 1

%define rname tolua

Summary: Lua bindings generator.
Name: tolua
Version: 5.0
Release: %{aurox_ver}.aur.%{rel}
License: Redistributable
Group: Development/Libraries
Source: http://www.lua.org/ftp/%{rname}-%{version}.tar.gz
URL: http://www.lua.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: lua >= %{version}

%description
tolua is a tool that greatly simplifies the integration of C/C++ code
with Lua. Based on a "cleaned" header file, tolua automatically generates
the binding code to access C/C++ features from Lua.


%prep
%setup -q -n %{rname}-%{version}


%build
make


%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/%{_libdir}
cp -a lib/libtolua.a %{buildroot}/%{_libdir}/

mkdir -p %{buildroot}/%{_bindir}
cp -a bin/tolua %{buildroot}/%{_bindir}/

mkdir -p %{buildroot}/%{_includedir}
cp -a include/tolua.h %{buildroot}/%{_includedir}/

%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-, root, root, 0755)
%doc README
%{_bindir}/tolua
%{_includedir}/*.h
%{_libdir}/*.a

%changelog
* Thu Apr 29 2004 Aurox Team <aurox@aurox.org> 0:5.0-9.4.aur.1
- archive dir name has version now
- updated to lua 5

